gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Structs.FileList

Contents

- Exported types
- Methods
  - getFiles
  - newFromArray
  - newFromList

Description

An opaque type representing a list of files.

Since: 4.6

Synopsis

- newtype FileList = FileList (ManagedPtr FileList)
- fileListGetFiles :: (HasCallStack, MonadIO m) => FileList -> m [File]
- fileListNewFromArray :: (HasCallStack, MonadIO m) => [File] -> m FileList
- fileListNewFromList :: (HasCallStack, MonadIO m, IsFile a) => [a] -> m FileList

# Exported types

newtype FileList Source #

Memory-managed wrapper type.

Constructors

FileList (ManagedPtr FileList) |

#### Instances

Instances details

Eq FileList Source # |
Instance details Defined in GI.Gdk.Structs.FileList Methods (==) :: FileList -> FileList -> Bool Source # (/=) :: FileList -> FileList -> Bool Source #
GBoxed FileList Source # |
Instance details Defined in GI.Gdk.Structs.FileList
ManagedPtrNewtype FileList Source # |
Instance details Defined in GI.Gdk.Structs.FileList Methods toManagedPtr :: FileList -> ManagedPtr FileList Source #
TypedObject FileList Source # |
Instance details Defined in GI.Gdk.Structs.FileList Methods glibType :: IO GType Source #
HasParentTypes FileList Source # |
Instance details Defined in GI.Gdk.Structs.FileList
IsGValue (Maybe FileList) Source # | Convert `FileList` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gdk.Structs.FileList Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe FileList -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe FileList) Source #
type ParentTypes FileList Source # |
Instance details Defined in GI.Gdk.Structs.FileList type ParentTypes FileList = '[] :: [Type]

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

None.

#### Getters

getFiles.

#### Setters

None.

## getFiles

fileListGetFiles Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> FileList | `fileList`: the file list
-> m [File] | Returns: the files inside the list

Retrieves the list of files inside a `GdkFileList`.

This function is meant for language bindings.

Since: 4.6

## newFromArray

fileListNewFromArray Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> [File] | `files`: the files to add to the list
-> m FileList | Returns: the newly create files list

Creates a new `GdkFileList` for the given array of files.

This function is meant to be used by language bindings.

Since: 4.8

## newFromList

fileListNewFromList Source #

Arguments

:: (HasCallStack, MonadIO m, IsFile a) |
=> [a] | `files`: a list of files
-> m FileList | Returns: the newly created files list

Creates a new files list container from a singly linked list of `GFile` instances.

This function is meant to be used by language bindings

Since: 4.8